---
title: "Returns a single use URL to monitor a lab instance"
slug: "returns-a-single-use-url-to-monitor-a-lab-instance-1"
updated: 2025-08-07T14:39:28Z
published: 2025-08-07T14:41:42Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns a single use URL to monitor a lab instance

Get/LabMonitorUrl

The **LabMonitorUrl** command returns a single use URL to monitor a lab instance.

SecurityAPI Key: api_keyHeader parameter nameapi_key

All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key".

Query parameterslabInstanceIdinteger (int64) Required

The unique identifier of the lab instance.

Responses200

OK Response.

<select class='api-response-data' aria-label='Media type'><option value='8f88d5ca-edcb-4e6e-ac9a-4fd494573244'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='a56ca4ce-5172-4456-8314-ca31c64f6bb5'>Example of successfully retrieving the URL to monitor a...</option>
</select>Example of successfully retrieving the URL to monitor a lab instance

```json
{
  "Url": "https://labondemand.com/access/ab1c2345-6d7b-890e-f1gh-234ij5kl6m7n?monitor=1",
  "Error": null,
  "Status": 1
}
```

object  Urlstring    

The single use URL to monitor a lab instance

Errorstring   | null  

In the event of an error, this will contain a detailed error message.

Statusinteger  (int32)    

Indicates the status of the API request. 0 = Error 1 = Success
